Bug 1096 - rosa2012.1b1,supply last version 4.1 of skype
: rosa2012.1b1,supply last version 4.1 of skype
Status: RESOLVED FIXED
Product: Desktop Features
Classification: ROSA Desktop
Component: All
: unspecified
: All Linux
: Normal normal
: Desktop.Fresh 2012
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-17 14:23 MSK by philippe.roubach
Modified: 2012-12-24 15:56 MSK (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description philippe.roubach 2012-11-17 14:23:29 MSK
Description of problem:


please supply last version 4.1 of skype

thanks
Comment 1 Denis Koryavov 2012-11-28 10:28:20 MSK
*** Bug 1134 has been marked as a duplicate of this bug. ***
Comment 2 Denis Silakov 2012-12-10 14:42:42 MSK
get-skype in 32bit repos has been updated to 4.1.0.20.

The question is - are we going to do something special for 64bit systems? Previously, we were providing statically linked skype for them, but skype-static is no longer available in upstream. And it doesn't make much sense to provide 32bit dynamically linked skype in 64bit system - it requires 32bit libs, so users will have to enable 32bit repositories in any case; but then they can just install skype from 32bit repos.

So the current solution - if you want to use the latest skype, install it from 32bit repositories even in 64bit system.
Comment 3 philippe.roubach 2012-12-22 16:34:38 MSK
ok but by when we install rosa 2012.1 then it does not install the 32 bit sources

if we ask the in the software manager to add sources it only install 64 bit source
Comment 4 Aleksandr Kazantcev 2012-12-22 17:01:24 MSK
You may install add32to64media package... But only main...

Skype developer broke all - it's drop static libs and we need all 32 bit repo. But add all 32 bit repo will break you 64 bit systems..

Say Skype developers - Guys, world not only 32-bit...

We investigate what we may doing, but this is not good solution provide 32 repo in 64 bit system..
Comment 5 philippe.roubach 2012-12-22 17:21:28 MSK
another solution

make a meta package wich load and install the dynamic version ?

or

see there

http://mib.pianetalinux.org/forum/viewtopic.php?f=21&t=3633

i will test the mib solution
Comment 6 Denis Silakov 2012-12-24 15:56:28 MSK
So the final solution is that currently we provide only 32bit skype in 32bit repositories.

For detailed instructions on how to install it, please refer to 
http://mib.pianetalinux.org/forum/viewtopic.php?f=21&t=3661
Comment 7 Alexander Burmashev 2012-12-24 15:56:54 MSK
get-skype was removed from 64 bit repo as well.